This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 150920 - buildinstall won't forward --debug to second stage
buildinstall won't forward --debug to second stage
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-11 19:21 EST by Ingo Pakleppa
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-14 13:37:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ingo Pakleppa 2005-03-11 19:21:00 EST
Description of problem:

The /usr/lib/anaconda-runtime/buildinstall script will not forward the
--debug argument to the second stage.

Version-Release number of selected component (if applicable):

10.0.2, but the same problem also seems to exist in the 10.1 series.

How reproducible:

Run the buildinstall script with the --debug argument. Note that the
upd-instroot script will not print any debug information.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
upd-instroot only prints "Expanding text packages" and then "Expanding
graphical packages"

Expected results:
upd-instroot will show which packages are being extracted right now.

Side note: there is a second bug in upd-instroot in that "Expanding
graphical packages" is printed *after* instead of before expanding.

Additional info:

Here is a patch to fix this issue. Patched against 10.0.2.

diff -Naurb anaconda-10.0.2.original/scripts/buildinstall
anaconda-10.0.2/scripts/buildinstall
--- anaconda-10.0.2.original/scripts/buildinstall       2004-03-16
14:18:49.000000000 -0800
+++ anaconda-10.0.2/scripts/buildinstall        2005-03-10
14:19:19.000000000 -0800
@@ -128,9 +128,9 @@
 echo "Going to run buildinstall again"
 # run it again for the second half
 if [ -x /usr/bin/runroot ]; then
-    runroot $COMPNAME --onlyone --arch $BUILDARCH "$BUILDINSTALL
--buildinstdir $BUILDINSTDIR --second $PKGORDERSTR --comp $COMPNAME
--version $VERSION --release '\"$RELEASESTR\"' --product
'\"$PRODUCTSTR\"' --prodpath $PRODUCTPATH --discs '\"$DISCSTR\"' $DIR"
+    runroot $COMPNAME --onlyone --arch $BUILDARCH "$BUILDINSTALL
$DEBUGSTR --buildinstdir $BUILDINSTDIR --second $PKGORDERSTR --comp
$COMPNAME --version $VERSION --release '\"$RELEASESTR\"' --product
'\"$PRODUCTSTR\"' --prodpath $PRODUCTPATH --discs '\"$DISCSTR\"' $DIR"
 else
-    $BUILDINSTALL --buildinstdir $BUILDINSTDIR --second $PKGORDERSTR
--comp $COMPNAME --version $VERSION --release "$RELEASESTR" --product
"$PRODUCTSTR" --prodpath $PRODUCTPATH --discs "$DISCSTR" $DIR
+    $BUILDINSTALL $DEBUGSTR --buildinstdir $BUILDINSTDIR --second
$PKGORDERSTR --comp $COMPNAME --version $VERSION --release
"$RELEASESTR" --product "$PRODUCTSTR" --prodpath $PRODUCTPATH --discs
"$DISCSTR" $DIR
 fi

 rm -rf $BUILDINSTDIR
Comment 1 Jeremy Katz 2005-03-14 13:37:35 EST
Thanks for the patch.  Applied in CVS.

Note You need to log in before you can comment on or make changes to this bug.